<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStylesTable extends TableMigration
{
    public function tableName(): string
    {
        return 'styles';
    }

    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), function (Blueprint $table): void {
            $table->bigIncrements('id');
            $table->morphs('stylable');
            $table->json('styles');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists($this->getTableNameWithPrefix());
    }
}
