<?php

namespace Drp\NativeEventApp\Contracts;

use Drp\NativeEventApp\Auth\ContactDetails;
use Illuminate\Support\Collection;

interface TokenAuthenticatable
{
    public function getId(): string;

    public function contactDetails(): ContactDetails;

    public function getEvents(): Collection;

    public function getMinimumVersion(): int;

    /** @return \Laravel\Passport\Token|null|mixed */
    public function token();
}
