<?php

namespace Drp\NativeEventApp\Test\Unit\Modules;

use Drp\NativeEventApp\Facades\ModulesUnSerializer;
use Drp\NativeEventApp\Modules\Types\Camera;
use Drp\NativeEventApp\Test\TestCase;

class CameraTest extends TestCase
{
    /** @test */
    public function is_serializable(): void
    {
        $camera = Camera::make();

        $serializedModule = json_encode([$camera]);
        $module = ModulesUnSerializer::getModulesFromString($serializedModule)->first();

        $this->assertInstanceOf(Camera::class, $module);
        $this->assertNull($module->route);
    }
}
