<?php

namespace Drp\NativeEventApp\Modules\Types;

use Drp\NativeEventApp\Models\Agenda;
use Drp\NativeEventApp\Modules\Module;

class AgendaTimeline extends Module
{
    /** @var int */
    public $agendaId;

    /**
     * @param Agenda|int $agendaId
     */
    public function __construct($agendaId)
    {
        $this->agendaId = $agendaId instanceof Agenda ? $agendaId->id : $agendaId;
    }

    public static function getDescription(): string
    {
        return 'An agenda timeline';
    }
}
