<?php

namespace Drp\NativeEventApp\Test\Support\Fakes;

use Drp\NativeEventApp\Forms\FormHandler;
use Drp\NativeEventApp\Forms\Handleable;
use Illuminate\Contracts\Support\Jsonable;

class FakeForm implements Handleable
{
    public function getDescription(): string
    {
        return 'Handles a fake form submission';
    }

    public function __invoke(FakeFormRequest $request, \Drp\NativeEventApp\Models\Registration $registration): Jsonable
    {
        return new FakeFormEntity($request['name'], $request['question']);
    }
}
