<?php

namespace Drp\NativeEventApp\Test\Support;

use League\OAuth2\Server\ResponseTypes\AbstractResponseType;
use Psr\Http\Message\ResponseInterface;

class TestResponse extends AbstractResponseType
{
    /**
     * @var callable
     */
    protected $assertions;

    public function setAssertions(callable $assertions): self
    {
        $this->assertions = $assertions;

        return $this;
    }

    public function generateHttpResponse(ResponseInterface $response)
    {
        $assertions = $this->assertions;
        $assertions($this->accessToken, $this->refreshToken);
    }
}